//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Main.h"
//---------------------------------------------------------------------------
#pragma link "ClientRobot"
#pragma resource "*.dfm"
TPilotForm *PilotForm;
//---------------------------------------------------------------------------
__fastcall TPilotForm::TPilotForm(TComponent* Owner)
	: TForm(Owner)
{
}                     
//----------------------------------------------------------------------------
void __fastcall TPilotForm::BtnConnectClick(TObject *Sender)
{
    ClientRobot->Connect("localhost");
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnDisconnectClick(TObject *Sender)
{
    ClientRobot->Disconnect();
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnForwardClick(TObject *Sender)
{
    ClientRobot->SetVel(10, 0);
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnStopClick(TObject *Sender)
{
    // ClientRobot->ShowMessage("Paradote");
    ClientRobot->Stop();
}
//---------------------------------------------------------------------------
void __fastcall TPilotForm::BtnBumperClick(TObject *Sender)
{
    if (ClientRobot->GetBumper())
        ShowMessage(ClientRobot->GetBumperRel());
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnSonarClick(TObject *Sender)
{
    AnsiString message = "Sonar(0) = ";
    message = message + ClientRobot->GetSonar(0);
    ShowMessage(message);
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnGetPosClick(TObject *Sender)
{
    AnsiString message = "Position = ";
    double x, y, a;
    ClientRobot->GetPos(x, y, a);
    message = message + x + " " + y + " " + a;
    ShowMessage(message);
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnMessageClick(TObject *Sender)
{
    ClientRobot->ShowMessage("Hello world!");
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnLeftClick(TObject *Sender)
{
    ClientRobot->SetVel(10, -30);
}
//---------------------------------------------------------------------------

void __fastcall TPilotForm::BtnRightClick(TObject *Sender)
{
    ClientRobot->SetVel(10, +30);
}
//---------------------------------------------------------------------------

